Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.annotation
Class InjectionMetadata.InjectedElement

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement

Direct Known Subclasses:
  CommonAnnotationBeanPostProcessor.LookupElement

Enclosing class:
  InjectionMetadata

    public abstract static class InjectionMetadata.InjectedElement

extends java.lang.Object

Field Summary
`protected boolean` | `isField`
`protected java.lang.reflect.Member` | `member`
`protected java.beans.PropertyDescriptor` | `pd`
`protected java.lang.Boolean` | `skip`

Constructor Summary
`protected` | `InjectionMetadata.InjectedElement(java.lang.reflect.Member member, java.beans.PropertyDescriptor pd)`

Method Summary
`protected boolean` | `checkPropertySkipping(PropertyValues pvs)` Checks whether this injector's property needs to be skipped due to an explicit property value having been specified.
`protected void` | `checkResourceType(java.lang.Class resourceType)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.reflect.Member` | `getMember()`
`protected java.lang.Object` | `getResourceToInject(java.lang.Object target, java.lang.String requestingBeanName)` Either this or `inject(java.lang.Object, java.lang.String, org.springframework.beans.PropertyValues)` needs to be overridden.
`protected java.lang.Class` | `getResourceType()`
`int` | `hashCode()`
`protected void` | `inject(java.lang.Object target, java.lang.String requestingBeanName, PropertyValues pvs)` Either this or `getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### member

    protected final java.lang.reflect.Member member

### isField

    protected final boolean isField

### pd

    protected final java.beans.PropertyDescriptor pd

### skip

    protected volatile java.lang.Boolean skip

Constructor Detail

### InjectionMetadata.InjectedElement

    protected InjectionMetadata.InjectedElement(java.lang.reflect.Member member,
                                                java.beans.PropertyDescriptor pd)

Method Detail

### getMember

    public final java.lang.reflect.Member getMember()

### getResourceType

    protected final java.lang.Class getResourceType()

### checkResourceType

    protected final void checkResourceType(java.lang.Class resourceType)

### inject

    protected void inject(java.lang.Object target,
                          java.lang.String requestingBeanName,
                          PropertyValues pvs)
                   throws java.lang.Throwable

  Either this or `getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.

  Throws:
    `java.lang.Throwable`

### checkPropertySkipping

    protected boolean checkPropertySkipping(PropertyValues pvs)

  Checks whether this injector's property needs to be skipped due to an explicit property value having been specified. Also marks the affected property as processed for other processors to ignore it.

### getResourceToInject

    protected java.lang.Object getResourceToInject(java.lang.Object target,
                                                   java.lang.String requestingBeanName)

  Either this or `inject(java.lang.Object, java.lang.String, org.springframework.beans.PropertyValues)` needs to be overridden.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD